
Redmine - Defect #6847

Parent priorities not dropping when subtask priorities decreased.

2010-11-08 08:26 - Ewan Makepeace

Status: Closed Start date: 2010-11-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I have the situation where a parent task has the highest level of priority (emergency in my system) yet none of the subtasks is at that

level any more - and I cant manually change it either?

My version is Redmine 1.0.1.devel.4167 (MySQL)

This is the parent task:

 parent.jpg 

These are the subtasks:

 subtasks.jpg 

If the system was working as I expect, one or both of the mid level parent subtasks would be at emergency, but in fact none of the

subtasks is, although it may have been in the past.

Related issues:

Related to Redmine - Feature #5490: Option for independent subtask priority/s... Closed 2010-05-10

Related to Redmine - Defect #5880: Only consider open subtasks when computing... Closed 2010-07-14

History

#1 - 2010-11-10 10:46 - Andreas Bosch

+1 - related to #5490

The current priority handling of parent tasks does not make much sense. Also see this forum post of mine (including an example in the Redmine

Demo).

If the parent task should depend on its child tasks at all (see this comment no. 13 for alternatives), I suggest to make its priority equal to the highest

priority of all open sub-tasks. Same applies to start/due date and so on.

#2 - 2010-12-15 07:09 - Anton Nepomnyaschih

+1

#3 - 2011-01-20 16:02 - txemi M

+1 - I would like to see this in combination with Andreas Bosch's proposal to let configure per parent inheritance mode.

#4 - 2011-11-21 16:42 - Mischa The Evil

Andreas Bosch wrote:

+1 - related to #5490

The current priority handling of parent tasks does not make much sense. Also see this forum post of mine (including an example in the Redmine

Demo).

If the parent task should depend on its child tasks at all (see this comment no. 13 for alternatives), I suggest to make its priority equal to the

highest priority of all open sub-tasks. Same applies to start/due date and so on.

 Andreas, this whole comment is related to issue #5880 instead of this issue.

#5 - 2011-11-21 16:51 - Mischa The Evil
- Category set to Issues

- Status changed from New to Closed

- Resolution set to Cant reproduce

Ewan Makepeace wrote:

I have the situation where a parent task has the highest level of priority (emergency in my system) yet none of the subtasks is at that level any

more - and I cant manually change it either?

 Ewan, I have been trying to reproduce this defect on a current source:/trunk@7838 but haven't succeeded. I have tried several setups but at all times

the parents' priority matches the highest priority of the available (open and closed, see #5880) subtasks.

Please reopen this issue if you are still able to reproduce the reported defect...

#6 - 2013-04-11 13:41 - Chris Moser

This bug is much worse reproducable with following Redmine-version:

Environment:

Redmine version                          2.3.0.stable

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         MySQL

What I did:

1) Create task_1 with priority "Normal"

2) Create subtask_1 (parent = task_1) with priority "Critical"

task_1 changes its priority automatically to "Critical"

3) Create subtask_2 (parent = task_1) with priority "Low"

task_1 changes its priority automatically to "Low" though subtask_1 is still priority "Critical"

4) change priority of subtask_2 to "Normal"

task_1 changes its priority automatically to "Normal" thoubh subtask_1 is still priority "Critical"

With this bug the priority-automatisation makes less sense I think??

#7 - 2013-04-11 14:17 - Toshi MARUYAMA

- File issue-priorities.png added

I cannot reproduce on Redmine 2.3.0.

Could you check priority order?

 issue-priorities.png 

#8 - 2013-04-11 14:18 - Toshi MARUYAMA

- Status changed from Closed to Reopened

#9 - 2013-04-11 14:18 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

#10 - 2013-04-11 14:29 - Chris Moser

- File Priorities.PNG added

Is the order of the priorities relevant?

I thought Redmine handles only with status_id in this case - therefore the text of the status shouldn't have any influence on the bahaviour of

Redmine?
I have attached our priority-configuration ('Niedrig' = 'Low', 'Hoch' = 'High'):

 Priorities.PNG 

#11 - 2013-04-11 14:38 - Toshi MARUYAMA

Redmine set parent priority with highest priority of children (#443).

source:tags/2.3.0/app/models/issue.rb#L1231

#12 - 2013-04-11 14:46 - Chris Moser

So we have to reorder our priorities in the oposite way we did.

Redmine suppose that the priorities are ordered from low to high - not the opposite way.

Thank you very much! :-)

#13 - 2013-04-11 14:57 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Thank you for your feedback.

#14 - 2013-04-11 15:58 - Ewan Makepeace

I missed the email when this was closed 1 year ago but have retested today and it is working now.
